public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Johannes Huber (johu)" <johu@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog kde4-base.eclass kde4-functions.eclass kde4-meta.eclass
Date: Wed,  1 Aug 2012 19:38:52 +0000 (UTC)	[thread overview]
Message-ID: <20120801193852.475332004B@flycatcher.gentoo.org> (raw)

johu        12/08/01 19:38:52

  Modified:             ChangeLog kde4-base.eclass kde4-functions.eclass
                        kde4-meta.eclass
  Log:
  Make .xz compression as default for SRC_URI calculation. Add KDE prefix to BUILD_TYPE. No #DONOTCOMPILE if add_subdirectory has a variable parameter ("${...").

Revision  Changes    Path
1.362                eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.362&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.362&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.361&r2=1.362

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.361
retrieving revision 1.362
diff -u -r1.361 -r1.362
--- ChangeLog	29 Jul 2012 05:54:17 -0000	1.361
+++ ChangeLog	1 Aug 2012 19:38:52 -0000	1.362
@@ -1,6 +1,12 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.361 2012/07/29 05:54:17 hattya Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.362 2012/08/01 19:38:52 johu Exp $
+
+  01 Aug 2012; Johannes Huber <johu@gentoo.org> kde4-base.eclass,
+  kde4-functions.eclass, kde4-meta.eclass:
+  Make .xz compression as default for SRC_URI calculation. Add KDE prefix to
+  BUILD_TYPE. No #DONOTCOMPILE if add_subdirectory has a variable parameter
+  ("${...").
 
   29 Jul 2012; Akinori Hattori <hattya@gentoo.org> subversion.eclass:
   add support for file:// URI scheme wrt bug #416649



1.120                eclass/kde4-base.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/kde4-base.eclass?rev=1.120&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/kde4-base.eclass?rev=1.120&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/kde4-base.eclass?r1=1.119&r2=1.120

Index: kde4-base.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v
retrieving revision 1.119
retrieving revision 1.120
diff -u -r1.119 -r1.120
--- kde4-base.eclass	22 Jun 2012 09:19:46 -0000	1.119
+++ kde4-base.eclass	1 Aug 2012 19:38:52 -0000	1.120
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v 1.119 2012/06/22 09:19:46 kensington Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-base.eclass,v 1.120 2012/08/01 19:38:52 johu Exp $
 
 # @ECLASS: kde4-base.eclass
 # @MAINTAINER:
@@ -33,7 +33,7 @@
 
 inherit kde4-functions toolchain-funcs fdo-mime flag-o-matic gnome2-utils base virtualx versionator eutils multilib
 
-if [[ ${BUILD_TYPE} = live ]]; then
+if [[ ${KDE_BUILD_TYPE} = live ]]; then
 	case ${KDE_SCM} in
 		svn) inherit subversion ;;
 		git) inherit git-2 ;;
@@ -70,7 +70,7 @@
 		SLOT="2"
 		;;
 	kdevelop)
-		if [[ ${BUILD_TYPE} = live ]]; then
+		if [[ ${KDE_BUILD_TYPE} = live ]]; then
 			# @ECLASS-VARIABLE: KDEVELOP_VERSION
 			# @DESCRIPTION:
 			# Specifies KDevelop version. Default is 4.0.0 for tagged packages and 9999 for live packages.
@@ -159,7 +159,7 @@
 # Set this varible if you want your live package to manage its
 # translations. (Mostly all kde ebuilds does not ship documentation
 # and translations in live ebuilds)
-if [[ ${BUILD_TYPE} == live && -z ${KDE_LINGUAS_LIVE_OVERRIDE} ]]; then
+if [[ ${KDE_BUILD_TYPE} == live && -z ${KDE_LINGUAS_LIVE_OVERRIDE} ]]; then
 	# Kdebase actualy provides the handbooks even for live stuff
 	[[ ${KDEBASE} == kde-base ]] || KDE_HANDBOOK=never
 	KDE_LINGUAS=""
@@ -170,7 +170,7 @@
 	kde-base)
 		HOMEPAGE="http://www.kde.org/"
 		LICENSE="GPL-2"
-		if [[ ${BUILD_TYPE} = live && -z ${I_KNOW_WHAT_I_AM_DOING} ]]; then
+		if [[ ${KDE_BUILD_TYPE} = live && -z ${I_KNOW_WHAT_I_AM_DOING} ]]; then
 			# Disable tests for live ebuilds by default
 			RESTRICT+=" test"
 		fi
@@ -450,18 +450,18 @@
 					# KDEPIM 4.4, special case
 					# TODO: Remove this part when KDEPIM 4.4 gets out of the tree
 					SRC_URI="mirror://kde/stable/kdepim-${PV}/src/${_kmname_pv}.tar.bz2" ;;
-				4.[4567].8[05] | 4.[4567].9[0235678])
+				4.[89].8[05] | 4.[89].9[0235678])
 					# Unstable KDE SC releases
-					SRC_URI="mirror://kde/unstable/${PV}/src/${_kmname_pv}.tar.bz2" ;;
-				4.8.[12345])
-					# Stable KDE SC releases with .xz support
-					SRC_URI="mirror://kde/stable/${PV}/src/${_kmname_pv}.tar.xz" ;;
+					SRC_URI="mirror://kde/unstable/${PV}/src/${_kmname_pv}.tar.xz" ;;
+				4.[1234567].[12345])
+					# Stable KDE SC with old .bz2 support
+					SRC_URI="mirror://kde/stable/${PV}/src/${_kmname_pv}.tar.bz2" ;;
 				4.[89].8[05] | 4.[89].9[0235678])
 					# Unstable KDE SC releases
 					SRC_URI="mirror://kde/unstable/${PV}/src/${_kmname_pv}.tar.xz" ;;
 				*)
 					# Stable KDE SC releases
-					SRC_URI="mirror://kde/stable/${PV}/src/${_kmname_pv}.tar.bz2" ;;
+					SRC_URI="mirror://kde/stable/${PV}/src/${_kmname_pv}.tar.xz" ;;
 			esac
 			;;
 		koffice)
@@ -590,7 +590,7 @@
 	esac
 }
 
-case ${BUILD_TYPE} in
+case ${KDE_BUILD_TYPE} in
 	live) _calculate_live_repo ;;
 	*) _calculate_src_uri ;;
 esac
@@ -662,7 +662,7 @@
 kde4-base_src_unpack() {
 	debug-print-function ${FUNCNAME} "$@"
 
-	if [[ ${BUILD_TYPE} = live ]]; then
+	if [[ ${KDE_BUILD_TYPE} = live ]]; then
 		case ${KDE_SCM} in
 			svn)
 				migrate_store_dir
@@ -716,7 +716,7 @@
 	fi
 
 	# SCM bootstrap
-	if [[ ${BUILD_TYPE} = live ]]; then
+	if [[ ${KDE_BUILD_TYPE} = live ]]; then
 		case ${KDE_SCM} in
 			svn) subversion_src_prepare ;;
 		esac
@@ -755,7 +755,7 @@
 
 	if use_if_iuse debug; then
 		# Set "real" debug mode
-		CMAKE_BUILD_TYPE="Debugfull"
+		CMAKE_KDE_BUILD_TYPE="Debugfull"
 	else
 		# Handle common release builds
 		append-cppflags -DQT_NO_DEBUG
@@ -892,7 +892,7 @@
 	debug-print-function ${FUNCNAME} "$@"
 
 	gnome2_icon_savelist
-	if [[ ${BUILD_TYPE} == live && ${KDE_SCM} == svn ]]; then
+	if [[ ${KDE_BUILD_TYPE} == live && ${KDE_SCM} == svn ]]; then
 		subversion_pkg_preinst
 	fi
 }
@@ -909,7 +909,7 @@
 	buildsycoca
 
 	if [[ -z ${I_KNOW_WHAT_I_AM_DOING} ]]; then
-		if [[ ${BUILD_TYPE} = live ]]; then
+		if [[ ${KDE_BUILD_TYPE} = live ]]; then
 			echo
 			einfo "WARNING! This is an experimental live ebuild of ${CATEGORY}/${PN}"
 			einfo "Use it at your own risk."



1.60                 eclass/kde4-functions.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/kde4-functions.eclass?rev=1.60&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/kde4-functions.eclass?rev=1.60&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/kde4-functions.eclass?r1=1.59&r2=1.60

Index: kde4-functions.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v
retrieving revision 1.59
retrieving revision 1.60
diff -u -r1.59 -r1.60
--- kde4-functions.eclass	8 May 2012 22:00:49 -0000	1.59
+++ kde4-functions.eclass	1 Aug 2012 19:38:52 -0000	1.60
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.59 2012/05/08 22:00:49 dilfridge Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.60 2012/08/01 19:38:52 johu Exp $
 
 inherit versionator
 
@@ -46,15 +46,15 @@
 
 # determine the build type
 if [[ ${PV} = *9999* ]]; then
-	BUILD_TYPE="live"
+	KDE_BUILD_TYPE="live"
 else
-	BUILD_TYPE="release"
+	KDE_BUILD_TYPE="release"
 fi
-export BUILD_TYPE
+export KDE_BUILD_TYPE
 
-# Set reponame and SCM for moduleses that have fully migrated to git
+# Set reponame and SCM for modules that have fully migrated to git
 # (hack - it's here because it needs to be before SCM inherits from kde4-base)
-if [[ ${BUILD_TYPE} == live ]]; then
+if [[ ${KDE_BUILD_TYPE} == live ]]; then
 	case "${KMNAME}" in
 		kdebase-workspace)
 			KDE_SCM="git"
@@ -93,7 +93,7 @@
 # this for you.
 #
 # Example: KDE_LINGUAS="en_GB de nl"
-if [[ ${BUILD_TYPE} != live || -n ${KDE_LINGUAS_LIVE_OVERRIDE} ]]; then
+if [[ ${KDE_BUILD_TYPE} != live || -n ${KDE_LINGUAS_LIVE_OVERRIDE} ]]; then
 	for _lingua in ${KDE_LINGUAS}; do
 		IUSE="${IUSE} linguas_${_lingua}"
 	done



1.65                 eclass/kde4-meta.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/kde4-meta.eclass?rev=1.65&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/kde4-meta.eclass?rev=1.65&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/kde4-meta.eclass?r1=1.64&r2=1.65

Index: kde4-meta.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v
retrieving revision 1.64
retrieving revision 1.65
diff -u -r1.64 -r1.65
--- kde4-meta.eclass	8 May 2012 22:00:49 -0000	1.64
+++ kde4-meta.eclass	1 Aug 2012 19:38:52 -0000	1.65
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.64 2012/05/08 22:00:49 dilfridge Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta.eclass,v 1.65 2012/08/01 19:38:52 johu Exp $
 #
 # @ECLASS: kde4-meta.eclass
 # @MAINTAINER:
@@ -69,7 +69,7 @@
 debug-print "line ${LINENO} ${ECLASS}: RDEPEND ${RDEPEND} - after metapackage-specific dependencies"
 
 # Useful to build kde4-meta style stuff from extragear/playground (plasmoids etc)
-case ${BUILD_TYPE} in
+case ${KDE_BUILD_TYPE} in
 	live)
 		if [[ ${KDE_SCM} == svn ]]; then
 			case ${KMNAME} in
@@ -147,7 +147,7 @@
 kde4-meta_src_unpack() {
 	debug-print-function ${FUNCNAME} "$@"
 
-	if [[ ${BUILD_TYPE} = live ]]; then
+	if [[ ${KDE_BUILD_TYPE} = live ]]; then
 		case "${KDE_SCM}" in
 			svn)
 				migrate_store_dir
@@ -173,7 +173,7 @@
 kde4-meta_src_extract() {
 	debug-print-function ${FUNCNAME} "$@"
 
-	if [[ ${BUILD_TYPE} = live ]]; then
+	if [[ ${KDE_BUILD_TYPE} = live ]]; then
 		# Export working copy to ${S}
 		einfo "Exporting parts of working copy to ${S}"
 		kde4-meta_create_extractlists
@@ -210,12 +210,12 @@
 	else
 		local abort tarball tarfile f extractlist postfix
 
-		if [[ ${PV} =~ 4.8.[12345] ]]; then
-			postfix="xz"
-			KMTARPARAMS+=" --xz"
-		else
+		if [[ ${PV} =~ 4.7.[12345] ]]; then
 			postfix="bz2"
 			KMTARPARAMS+=" --bzip2"
+		else
+			postfix="xz"
+			KMTARPARAMS+=" --xz"
 		fi
 
 		case ${KMNAME} in
@@ -312,6 +312,7 @@
 			;;
 		kdebase-runtime | kde-runtime)
 			KMEXTRACTONLY+="
+				CTestConfig.cmake
 				config-runtime.h.cmake"
 			;;
 		kdebase-workspace | kde-workspace)
@@ -380,16 +381,8 @@
 		&& ! [[ ${KMNAME} == kdeedu && ( ${PV} == 4.6.4 || ${PV} == 4.6.5 ) ]]; then
 		case ${KMNAME} in
 			kdebase-runtime|kde-runtime|kdebase-workspace|kde-workspace|kdeedu|kdegames|kdegraphics)
-				case ${PN} in
-					libkdegames|libkdeedu|libkworkspace)
-						KMEXTRA+="
-							cmake/modules/"
-						;;
-					*)
-						KMCOMPILEONLY+="
-							cmake/modules/"
-						;;
-				esac
+				KMEXTRACTONLY+="
+					cmake/modules/"
 			;;
 		esac
 	fi
@@ -495,6 +488,13 @@
 			-i CMakeLists.txt || die "${LINENO}: cmake sed died"
 	fi
 
+	# Restore "add_subdirectory( ${ ..." (this is done in kdesdk)
+	if [[ -f CMakeLists.txt ]]; then
+		sed -e '/add_subdirectory[[:space:]]*([[:space:]]*\${/s/^#DONOTCOMPILE //' \
+			-e '/ADD_SUBDIRECTORY[[:space:]]*([[:space:]]*\${/s/^#DONOTCOMPILE //' \
+			-i CMakeLists.txt || die "${LINENO}: cmake sed died"
+	fi
+
 	if [[ -z ${KMNOMODULE} ]]; then
 		# Restore "add_subdirectory" in $KMMODULE subdirectories
 		find "${S}"/${KMMODULE} -name CMakeLists.txt -print0 | \





             reply	other threads:[~2012-08-01 19:39 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-08-01 19:38 Johannes Huber (johu) [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-08-15 15:10 [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog kde4-base.eclass kde4-functions.eclass kde4-meta.eclass Michael Palimaka (kensington)
2012-08-19 11:12 Johannes Huber (johu)
2011-12-18  0:00 Andreas HAttel (dilfridge)

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20120801193852.475332004B@flycatcher.gentoo.org \
    --to=johu@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox